import * as i0 from "@angular/core";
export declare enum ButtonGroupOrientation {
    Horizontal = "horizontal",
    Vertical = "vertical"
}
export declare enum ButtonGroupVariant {
    Contained = "contained",
    Text = "text"
}
export declare enum BottonGroupStyle {
    Default = "default",
    Primary = "primary"
}
export declare class ButtonGroupComponent {
    orientation: ButtonGroupOrientation;
    variant: ButtonGroupVariant;
    buttonGroupStyle: BottonGroupStyle;
    get Horizontal(): boolean;
    get vertical(): boolean;
    get Contained(): boolean;
    get text(): boolean;
    get default(): boolean;
    get primary(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonGroupComponent, "ngx-button-group", ["ngxButtonGroup"], { "orientation": { "alias": "orientation"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "buttonGroupStyle": { "alias": "buttonGroupStyle"; "required": false; }; }, {}, never, ["*"], false, never>;
}
