import { BooleanInput } from '@angular/cdk/coercion';
import { EventEmitter, QueryList, AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Subject } from 'rxjs';
import { ButtonToggleComponent } from './button-toggle.component';
import * as i0 from "@angular/core";
export declare class ButtonToggleGroupComponent implements ControlValueAccessor, AfterViewInit, OnDestroy {
    private readonly cdr;
    readonly UNIQUE_ID: string;
    private _value;
    private _disabled;
    id: string;
    label: any;
    get value(): any;
    set value(newValue: any);
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    readonly valueChange: EventEmitter<any>;
    buttonToggles: QueryList<ButtonToggleComponent>;
    onChangeCallback: (value: any) => void;
    onTouchedCallback: (value: any) => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    animationHolderLeft: number | undefined;
    animationHolderWidth: number;
    get itemCount(): number;
    readonly destroy$: Subject<void>;
    constructor(cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    listenChildren(): void;
    notifyChange(selectedToggleValue: any): void;
    selectButtonToggle(incomingValue: any): void;
    clearButtonToggles(): void;
    checkChildren(disabled: boolean): void;
    private calcAnimationDimensions;
    private getToggleIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonToggleGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonToggleGroupComponent, "ngx-button-toggle-group", never, { "id": { "alias": "id"; "required": false; }; "label": { "alias": "label"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "valueChange": "valueChange"; }, ["buttonToggles"], ["*"], false, never>;
}
