import { OnInit, OnChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ButtonState } from './button-state.enum';
import * as i0 from "@angular/core";
export declare class ButtonComponent implements OnInit, OnChanges {
    promise?: Promise<any>;
    disabled: boolean;
    type: string;
    get state(): ButtonState;
    set state(v: ButtonState);
    get timeout(): number;
    set timeout(v: number);
    readonly inProgress$: BehaviorSubject<boolean>;
    readonly active$: BehaviorSubject<boolean>;
    readonly success$: BehaviorSubject<boolean>;
    readonly fail$: BehaviorSubject<boolean>;
    private _state;
    private _timer;
    private _timeout;
    ngOnInit(): void;
    ngOnChanges(): void;
    updatePromise(): Promise<void>;
    updateState(): void;
    onClick(event: Event): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "ngx-button", ["ngxButton"], { "promise": { "alias": "promise"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "type": { "alias": "type"; "required": false; }; "state": { "alias": "state"; "required": false; }; "timeout": { "alias": "timeout"; "required": false; }; }, {}, never, ["*"], false, never>;
}
