import { EventEmitter } from '@angular/core';
import { CardStatus } from './card-status.enum';
import { CardOrientation } from './card-orientation.enum';
import { CardAppearance } from './card-appearance.enum';
import * as i0 from "@angular/core";
export declare class CardComponent {
    get horizontal(): boolean;
    get vertical(): boolean;
    get flat(): boolean;
    disabled: boolean;
    orientation: CardOrientation;
    status: CardStatus;
    statusTooltip: string;
    selectable: boolean;
    selected: boolean;
    error: boolean;
    outlineText: string;
    appearance: CardAppearance;
    hideAccent: boolean;
    select: EventEmitter<boolean>;
    outlineClick: EventEmitter<void>;
    onOutlineClick($event: any): void;
    onSelect($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardComponent, "ngx-card", ["ngxCard"], { "disabled": { "alias": "disabled"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "status": { "alias": "status"; "required": false; }; "statusTooltip": { "alias": "statusTooltip"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "error": { "alias": "error"; "required": false; }; "outlineText": { "alias": "outlineText"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "hideAccent": { "alias": "hideAccent"; "required": false; }; }, { "select": "select"; "outlineClick": "outlineClick"; }, never, ["*"], false, never>;
}
