import { ElementRef, EventEmitter } from '@angular/core';
import { DropdownShowTypes } from './dropdown.show-types.enum';
import * as i0 from "@angular/core";
export declare class DropdownToggleDirective {
    private readonly el;
    showEvent: DropdownShowTypes;
    get disabled(): boolean;
    set disabled(disabled: boolean);
    toggle: EventEmitter<Event>;
    readonly element: HTMLElement;
    private _disabled;
    constructor(el: ElementRef<HTMLElement>);
    onClick(event: Event): void;
    onContextmenu(event: Event): void;
    onDblclick(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownToggleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownToggleDirective, "ngx-dropdown-toggle", ["ngxDropdownToggle"], { "showEvent": { "alias": "showEvent"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "toggle": "toggle"; }, never, never, false, never>;
}
