import { OnInit, EventEmitter } from '@angular/core';
import { FileUploaderOptions, FileUploader, FileItem } from 'ng2-file-upload';
import * as i0 from "@angular/core";
export declare enum DropzoneSize {
    Small = "small",
    Large = "large"
}
export declare class DropzoneComponent implements OnInit {
    id: string;
    acceptedFileFormats: string[];
    uploader: FileUploader;
    options: FileUploaderOptions;
    size: DropzoneSize;
    get multiple(): boolean;
    set multiple(multiple: boolean);
    afterAddingFile: EventEmitter<{
        fileItem: FileItem;
    }>;
    beforeUploadItem: EventEmitter<{
        fileItem: FileItem;
    }>;
    successItem: EventEmitter<{
        item: any;
        response: string;
        status: number;
        headers: any;
    }>;
    errorItem: EventEmitter<{
        response: string;
        status: number;
        headers: any;
    }>;
    progressAll: EventEmitter<{
        progress: number;
    }>;
    acceptedFileFormatsTextDisplay: string;
    DropzoneSize: typeof DropzoneSize;
    private _multiple;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropzoneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropzoneComponent, "ngx-dropzone", never, { "id": { "alias": "id"; "required": false; }; "acceptedFileFormats": { "alias": "acceptedFileFormats"; "required": false; }; "uploader": { "alias": "uploader"; "required": false; }; "options": { "alias": "options"; "required": false; }; "size": { "alias": "size"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; }, { "afterAddingFile": "afterAddingFile"; "beforeUploadItem": "beforeUploadItem"; "successItem": "successItem"; "errorItem": "errorItem"; "progressAll": "progressAll"; }, never, never, false, never>;
}
