import { ElementRef, OnChanges, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { IconRegistryService } from '../../services/icon-registry/icon-registry.service';
import * as i0 from "@angular/core";
export declare class IconComponent implements OnChanges, OnInit {
    private http;
    private elementRef;
    private iconRegisteryService;
    fontIcon: string | string[];
    alt: string;
    defaultPath: string;
    fontSet: string;
    set svgSrc(val: string);
    cssClasses: string[];
    constructor(http: HttpClient, elementRef: ElementRef, iconRegisteryService: IconRegistryService);
    ngOnChanges(): void;
    ngOnInit(): void;
    update(): void;
    loadSvg(val: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "ngx-icon", ["ngxIcon"], { "fontIcon": { "alias": "fontIcon"; "required": false; }; "alt": { "alias": "alt"; "required": false; }; "defaultPath": { "alias": "defaultPath"; "required": false; }; "fontSet": { "alias": "fontSet"; "required": false; }; "svgSrc": { "alias": "svgSrc"; "required": false; }; }, {}, never, ["*", "*"], false, never>;
}
