import { ChangeDetectorRef } from '@angular/core';
import { JsonEditor } from '../json-editor';
import { SchemaValidatorService } from '../schema-validator.service';
import { JsonEditorNodeComponent } from './json-editor-node/json-editor-node.component';
import { JSONEditorSchema } from '../json-editor.helper';
import type { QueryList } from '@angular/core';
import * as i0 from "@angular/core";
export declare class JsonEditorComponent extends JsonEditor {
    protected schemaValidatorService: SchemaValidatorService;
    protected cdr: ChangeDetectorRef;
    model: any;
    schema: JSONEditorSchema;
    typeCheckOverrides?: any;
    passwordToggleEnabled: boolean;
    nodeElms: QueryList<JsonEditorNodeComponent>;
    constructor(schemaValidatorService: SchemaValidatorService, cdr: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JsonEditorComponent, "ngx-json-editor", never, { "model": { "alias": "model"; "required": false; }; "schema": { "alias": "schema"; "required": false; }; "typeCheckOverrides": { "alias": "typeCheckOverrides"; "required": false; }; "passwordToggleEnabled": { "alias": "passwordToggleEnabled"; "required": false; }; }, {}, ["nodeElms"], never, false, never>;
}
