import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
declare const enum State {
    open = "open",
    peek = "peek",
    closed = "closed"
}
export declare class NagComponent implements OnDestroy, OnChanges {
    cssClass: string;
    state: State | keyof typeof State;
    stateChanged: EventEmitter<string>;
    get zIndex(): number;
    set zIndex(val: number);
    nagTitle: string;
    watch: any;
    hide: any;
    get klass(): string;
    bounce: number;
    private _zIndex;
    toggle(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NagComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NagComponent, "ngx-nag", ["ngxNag"], { "cssClass": { "alias": "cssClass"; "required": false; }; "state": { "alias": "state"; "required": false; }; "zIndex": { "alias": "zIndex"; "required": false; }; "nagTitle": { "alias": "nagTitle"; "required": false; }; "watch": { "alias": "watch"; "required": false; }; "hide": { "alias": "hide"; "required": false; }; }, { "stateChanged": "stateChanged"; }, never, ["[ngx-nag-title]", "*"], false, never>;
}
export {};
