import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Overlay Component for Drawer/Dialogs
 */
export declare class OverlayComponent {
    private readonly cdr;
    get visible(): boolean;
    set visible(val: boolean);
    get zIndex(): number;
    set zIndex(val: number);
    click: EventEmitter<boolean>;
    get animationState(): string;
    private _visible;
    private _zIndex;
    constructor(cdr: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<OverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OverlayComponent, "ngx-overlay", ["ngxOverlay"], { "visible": { "alias": "visible"; "required": false; }; "zIndex": { "alias": "zIndex"; "required": false; }; }, { "click": "click"; }, never, ["*"], false, never>;
}
