import { EventEmitter, OnInit, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SliderComponent implements ControlValueAccessor, OnInit {
    private cdr;
    id: string;
    min: number;
    max: number;
    step: number;
    orientation: string;
    filled: boolean;
    multiple: boolean;
    disabled: boolean;
    showTicks: boolean;
    tickStep: number;
    change: EventEmitter<any>;
    _values: number[];
    _percents: number[];
    _thumbs: any[];
    _fill: any;
    _ticks: any[];
    _active: any[];
    active: boolean;
    get value(): any;
    set value(val: any);
    get percent(): string;
    get isHorizontal(): boolean;
    get isVertical(): boolean;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    setValues(values: number[]): void;
    setActive(index: number, active: boolean): void;
    setValue(val: number, index: number): void;
    getCount(): any;
    getTicks(): any;
    getFill(): any;
    onMouseDown(event: any): void;
    onMouseUp(event: any): void;
    onChange(event: any): void;
    writeValue(val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    trackIndex(index: any): any;
    onChangeCallback: (_: any) => void;
    onTouchedCallback: (_: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SliderComponent, "ngx-slider", ["ngxSlider"], { "id": { "alias": "id"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "step": { "alias": "step"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "filled": { "alias": "filled"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "showTicks": { "alias": "showTicks"; "required": false; }; "tickStep": { "alias": "tickStep"; "required": false; }; }, { "change": "change"; }, never, never, false, never>;
}
