import { EventEmitter, Renderer2, ElementRef, OnInit } from '@angular/core';
import { ToolbarTitleDirective } from './toolbar-title.directive';
import { ToolbarContentDirective } from './toolbar-content.directive';
import { ToolbarMenuItem } from './toolbar-menu-item.interface';
import * as i0 from "@angular/core";
export declare class ToolbarComponent implements OnInit {
    private renderer;
    private elRef;
    title: string;
    mainTitle: string;
    subtitle: string;
    menu: ToolbarMenuItem[];
    menuClick: EventEmitter<any>;
    toolbarTitle: ToolbarTitleDirective;
    toolbarContent: ToolbarContentDirective;
    get toolbarItems(): ToolbarMenuItem[];
    get dropdownItems(): ToolbarMenuItem[];
    constructor(renderer: Renderer2, elRef: ElementRef);
    onMenuClicked(item: ToolbarMenuItem, $event: Event): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "ngx-toolbar", never, { "title": { "alias": "title"; "required": false; }; "mainTitle": { "alias": "mainTitle"; "required": false; }; "subtitle": { "alias": "subtitle"; "required": false; }; "menu": { "alias": "menu"; "required": false; }; }, { "menuClick": "menuClick"; }, never, ["ngx-toolbar-title", "ngx-toolbar-content"], false, never>;
}
