import { EventEmitter, OnChanges, TemplateRef } from '@angular/core';
import { TreeNode } from './tree-node.model';
import * as i0 from "@angular/core";
export declare class TreeNodeComponent implements OnChanges {
    label: string;
    model: any;
    node: TreeNode;
    children: any[];
    disabled: boolean;
    expandable: boolean;
    expanded: boolean;
    selectable: boolean;
    template: TemplateRef<any>;
    icons: {
        collapse: string;
        expand: string;
    };
    virtualScrolling: boolean;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    selectNode: EventEmitter<any>;
    select: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    data: any;
    depth: number;
    ngOnChanges(): void;
    onExpandClick(event: Event): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeNodeComponent, "ngx-tree-node", ["ngxTreeNode"], { "label": { "alias": "label"; "required": false; }; "model": { "alias": "model"; "required": false; }; "node": { "alias": "node"; "required": false; }; "children": { "alias": "children"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "expandable": { "alias": "expandable"; "required": false; }; "expanded": { "alias": "expanded"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "template": { "alias": "template"; "required": false; }; "icons": { "alias": "icons"; "required": false; }; "virtualScrolling": { "alias": "virtualScrolling"; "required": false; }; }, { "activate": "activate"; "deactivate": "deactivate"; "selectNode": "selectNode"; "select": "select"; "expand": "expand"; "collapse": "collapse"; }, never, ["*"], false, never>;
}
