import { AfterContentChecked, AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AutoSizeInputDirective implements AfterContentChecked, AfterViewInit {
    private element;
    private ngModel;
    private renderer;
    extraWidth: number;
    includeBorders: boolean;
    includePadding: boolean;
    includePlaceholder: boolean;
    maxWidth: number;
    minWidth: number;
    setParentWidth: boolean;
    constructor(element: ElementRef, ngModel: NgModel, renderer: Renderer2);
    get borderWidth(): number;
    get paddingWidth(): number;
    ngAfterContentChecked(): void;
    ngAfterViewInit(): void;
    onInput(): void;
    setWidth(width: number): void;
    setWidthUsingText(text: string): void;
    textWidth(value: string): number;
    updateWidth(): void;
    private _getProperty;
    private _getPropertyWidth;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoSizeInputDirective, [null, { optional: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoSizeInputDirective, "[autoSizeInput]", never, { "extraWidth": { "alias": "extraWidth"; "required": false; }; "includeBorders": { "alias": "includeBorders"; "required": false; }; "includePadding": { "alias": "includePadding"; "required": false; }; "includePlaceholder": { "alias": "includePlaceholder"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "setParentWidth": { "alias": "setParentWidth"; "required": false; }; }, {}, never, never, false, never>;
}
