import moment from 'moment-timezone';
export declare const DATE_DISPLAY_FORMATS: {
    shortDate: string;
    shortTime: string;
    shortDateTime: string;
    shortDateTimeSeconds: string;
    date: string;
    time: string;
    dateTime: string;
    dateTimeSeconds: string;
    dateMonth: string;
    dateYear: string;
    fullDate: string;
    fullTime: string;
    fullDateTime: string;
    fullDateMonth: string;
    fullDateYear: string;
    localeDate: string;
    localeDateTime: string;
    localeTime: string;
    timezoneDate: string;
    timezoneDateTime: string;
    timezoneDateTimeSeconds: string;
    timezoneTime: string;
    timezoneDateMonth: string;
    timezoneDateYear: string;
    locale: string;
    shortLocale: string;
    fullLocale: string;
};
export declare const DATE_DISPLAY_INPUT_FORMATS: Array<string | moment.MomentBuiltinFormat>;
export declare enum DATE_DISPLAY_TYPES {
    HUMAN = "human",
    TIMEZONE = "timezone",
    LOCAL = "local",
    CUSTOM = "custom"
}
