import { BooleanInput } from '@angular/cdk/coercion';
import { ChangeDetectorRef, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ButtonToggleComponent implements ControlValueAccessor {
    readonly element: ElementRef;
    private readonly cdr;
    readonly UNIQUE_ID: string;
    private _checked;
    private _value;
    private _disabled;
    id: string;
    name: string;
    get checked(): boolean;
    set checked(value: boolean);
    get value(): any;
    set value(newValue: any);
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    readonly valueChange: EventEmitter<any>;
    onChangeCallback: (value: any) => void;
    onTouchedCallback: (value: any) => void;
    writeValue(incomingValue: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    constructor(element: ElementRef, // this is accessed in toggle-group to calculate animation
    cdr: ChangeDetectorRef);
    handleClick(incomingEvent: Event): void;
    markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonToggleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonToggleComponent, "ngx-button-toggle", never, { "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "valueChange": "valueChange"; }, never, ["*"], false, never>;
}
