import { ElementRef, AfterContentInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AutosizeDirective implements AfterContentInit {
    readonly element: ElementRef<HTMLInputElement | HTMLTextAreaElement>;
    private readonly ngModel;
    get enabled(): boolean;
    set enabled(v: boolean);
    private _enabled;
    get nodeName(): "TEXTAREA" | "INPUT";
    constructor(element: ElementRef<HTMLInputElement | HTMLTextAreaElement>, ngModel: NgModel);
    ngAfterContentInit(): void;
    onInput(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutosizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutosizeDirective, "textarea[autosize], input[autosize]", ["ngxAutosize"], { "enabled": { "alias": "autosize"; "required": false; }; }, {}, never, never, false, never>;
}
