import { OnInit } from '@angular/core';
import { JsonEditorNode } from '../../json-editor-node';
import { DialogService } from '../../../dialog/dialog.service';
import { JSONEditorSchema } from '../../json-editor.helper';
import { DateFormatPipe } from 'ngx-moment';
import * as i0 from "@angular/core";
export declare class JsonEditorNodeComponent extends JsonEditorNode implements OnInit {
    dialogMngr: DialogService;
    private dateFormat;
    model: any;
    schema: JSONEditorSchema;
    typeCheckOverrides?: any;
    errors: any[];
    showKnownProperties: boolean;
    isDuplicated: boolean;
    passwordToggleEnabled: boolean;
    placeholder: string;
    constructor(dialogMngr: DialogService, dateFormat: DateFormatPipe);
    ngOnInit(): void;
    updateDateTime(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonEditorNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JsonEditorNodeComponent, "ngx-json-editor-node", never, { "model": { "alias": "model"; "required": false; }; "schema": { "alias": "schema"; "required": false; }; "typeCheckOverrides": { "alias": "typeCheckOverrides"; "required": false; }; "errors": { "alias": "errors"; "required": false; }; "showKnownProperties": { "alias": "showKnownProperties"; "required": false; }; "isDuplicated": { "alias": "isDuplicated"; "required": false; }; "passwordToggleEnabled": { "alias": "passwordToggleEnabled"; "required": false; }; }, {}, never, never, false, never>;
}
