import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NavbarItemComponent {
    private readonly _cdr;
    private readonly _el;
    get active(): number;
    set active(v: number);
    get total(): number;
    set total(v: number);
    get index(): number;
    set index(v: number);
    activeChange: EventEmitter<number>;
    get width(): number;
    private _active?;
    private _total?;
    private _index?;
    constructor(_cdr: ChangeDetectorRef, _el: ElementRef<HTMLElement>);
    setActive(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavbarItemComponent, "ngx-navbar-item", ["ngxNavbarItem"], { "active": { "alias": "active"; "required": false; }; "total": { "alias": "total"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, { "activeChange": "activeChange"; }, never, ["*"], false, never>;
}
