import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import { Observable } from 'rxjs';
import { HotkeysService } from '../hotkeys/hotkeys.service';
import * as i0 from "@angular/core";
export declare class ResizeOverlayComponent implements OnInit, OnDestroy {
    private breakpointObserver;
    private hotkeysService;
    private cdr;
    combo: string;
    get query(): string;
    set query(value: string);
    set disabled(value: boolean);
    get disabled(): boolean;
    visible$: Observable<boolean>;
    private _disabled;
    private _query;
    get keys(): string[];
    constructor(breakpointObserver: BreakpointObserver, hotkeysService: HotkeysService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClick(ev: KeyboardEvent): void;
    toggle(): void;
    private _buildObservable;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResizeOverlayComponent, "ngx-resize-overlay", ["ngxResizeOverlay"], { "combo": { "alias": "combo"; "required": false; }; "query": { "alias": "query"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["*"], false, never>;
}
