import { EventEmitter, ChangeDetectorRef, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RadioButtonComponent implements ControlValueAccessor {
    private readonly cdr;
    private readonly elementRef;
    readonly UNIQUE_ID: string;
    onClick(ev: Event): void;
    id: string;
    name: string;
    radioId: string;
    tabindex: number;
    get checked(): boolean;
    set checked(checked: boolean);
    get value(): any;
    set value(value: any);
    get disabled(): boolean;
    set disabled(disabled: boolean);
    change: EventEmitter<any>;
    blur: EventEmitter<Event>;
    focus: EventEmitter<FocusEvent>;
    groupDisabled: boolean;
    isInGroup: boolean;
    private _checked;
    private _value;
    private _disabled;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef);
    _onInputChange(event: Event): void;
    writeValue(value: any): void;
    onFocus(e: FocusEvent): void;
    focusElement(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onSpace(ev: Event): void;
    toggle(): void;
    private onChangeCallback;
    private onTouchedCallback;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonComponent, "ngx-radiobutton", ["ngxRadiobutton"], { "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "radioId": { "alias": "radioId"; "required": false; }; "tabindex": { "alias": "tabindex"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "change": "change"; "blur": "blur"; "focus": "focus"; }, never, ["*"], false, never>;
}
