import { EventEmitter } from '@angular/core';
import { SectionHeaderComponent } from './section-header.component';
import { SectionAppearance } from './section-appearance.enum';
import { TogglePosition } from './section-toggle-position.enum';
import * as i0 from "@angular/core";
export declare class SectionComponent {
    id: string;
    get outline(): boolean;
    get light(): boolean;
    sectionCollapsed: boolean;
    sectionCollapsible: boolean;
    headerToggle: boolean;
    sectionTitle: string;
    padding: any;
    appearance: SectionAppearance;
    togglePosition: TogglePosition;
    toggle: EventEmitter<any>;
    headerComp: SectionHeaderComponent;
    readonly TogglePosition: typeof TogglePosition;
    onSectionClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SectionComponent, "ngx-section", ["ngxSection"], { "id": { "alias": "id"; "required": false; }; "sectionCollapsed": { "alias": "sectionCollapsed"; "required": false; }; "sectionCollapsible": { "alias": "sectionCollapsible"; "required": false; }; "headerToggle": { "alias": "headerToggle"; "required": false; }; "sectionTitle": { "alias": "sectionTitle"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "togglePosition": { "alias": "togglePosition"; "required": false; }; }, { "toggle": "toggle"; }, ["headerComp"], ["ngx-section-header", "*"], false, never>;
}
