import { TemplateRef, OnChanges, SimpleChanges } from '@angular/core';
import { SelectDropdownOption } from './select-dropdown-option.interface';
import { TooltipConfig } from '../tooltip/tooltip-config.interface';
import * as i0 from "@angular/core";
export declare class SelectOptionDirective implements SelectDropdownOption, OnChanges {
    name: string;
    value: any;
    tooltipConfig: TooltipConfig;
    disabled: boolean;
    hidden: boolean;
    _optionTemplateInput: TemplateRef<any>;
    _optionTemplateQuery: TemplateRef<any>;
    get optionTemplate(): TemplateRef<any>;
    _inputTemplateInput: TemplateRef<any>;
    _inputTemplateQuery: TemplateRef<any>;
    get inputTemplate(): TemplateRef<any>;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectOptionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectOptionDirective, "ngx-select-option", ["ngxSelectOption"], { "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "tooltipConfig": { "alias": "tooltipConfig"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "hidden": { "alias": "hidden"; "required": false; }; "_optionTemplateInput": { "alias": "optionTemplate"; "required": false; }; "_inputTemplateInput": { "alias": "inputTemplate"; "required": false; }; }, {}, ["_optionTemplateQuery", "_inputTemplateQuery"], never, false, never>;
}
