import { OnChanges, ChangeDetectorRef } from '@angular/core';
import { FlexParts } from './utils';
import * as i0 from "@angular/core";
export declare function validateBasis(basis: string, grow?: string, shrink?: string): FlexParts;
export declare class SplitAreaDirective implements OnChanges {
    private ref;
    ngxSplitArea: string;
    minBasis: string;
    maxBasis: string;
    shouldAdjustMaxMin: boolean;
    overflow: string;
    initialFlexParts: FlexParts;
    currentFlexParts: FlexParts;
    get flex(): string;
    get maxWidth(): string;
    get minWidth(): string;
    constructor(ref: ChangeDetectorRef);
    ngOnChanges(): void;
    updateBasis(newBasis: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitAreaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SplitAreaDirective, "[ngxSplitArea]", ["ngxSplitArea"], { "ngxSplitArea": { "alias": "ngxSplitArea"; "required": false; }; "minBasis": { "alias": "minBasis"; "required": false; }; "maxBasis": { "alias": "maxBasis"; "required": false; }; "shouldAdjustMaxMin": { "alias": "shouldAdjustMaxMin"; "required": false; }; }, {}, never, never, false, never>;
}
