import { EventEmitter, OnChanges } from '@angular/core';
import { Subscription } from 'rxjs';
import { FlexParts } from './utils';
import { SplitDirection } from './split-direction.enum';
import * as i0 from "@angular/core";
export declare class SplitHandleComponent implements OnChanges {
    ngxSplitHandle: string;
    drag: EventEmitter<{
        x: number;
        y: number;
    }>;
    dragStart: EventEmitter<MouseEvent>;
    dragEnd: EventEmitter<MouseEvent>;
    dblclick: EventEmitter<MouseEvent>;
    direction: SplitDirection;
    subscription: Subscription;
    currentFlexParts: FlexParts;
    get flex(): string;
    get isRow(): boolean;
    get isColumn(): boolean;
    ngOnChanges(): void;
    onMousedown(ev: MouseEvent): void;
    onMouseMove(ev: MouseEvent): void;
    onMouseup(ev: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitHandleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SplitHandleComponent, "[ngxSplitHandle]", ["ngxSplitHandle"], { "ngxSplitHandle": { "alias": "ngxSplitHandle"; "required": false; }; }, { "drag": "drag"; "dragStart": "dragStart"; "dragEnd": "dragEnd"; "dblclick": "dblclick"; }, never, never, false, never>;
}
