import { AfterContentInit, ElementRef, OnChanges, OnDestroy } from '@angular/core';
import type { QueryList } from '@angular/core';
import { SplitAreaDirective } from './split-area.directive';
import { SplitHandleComponent } from './split-handle.component';
import { SplitDirection } from './split-direction.enum';
import * as i0 from "@angular/core";
export declare class SplitDirective implements AfterContentInit, OnChanges, OnDestroy {
    private readonly elementRef;
    splitDirection: SplitDirection;
    get rowCss(): boolean;
    get columnCss(): boolean;
    readonly handles: QueryList<SplitHandleComponent>;
    readonly areas: QueryList<SplitAreaDirective>;
    private subscriptions;
    constructor(elementRef: ElementRef);
    ngAfterContentInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    resize(delta: number): void;
    private updateHandles;
    private onDblClick;
    private onDrag;
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SplitDirective, "[ngxSplit]", ["ngxSplit"], { "splitDirection": { "alias": "splitDirection"; "required": false; }; }, {}, ["handles", "areas"], never, false, never>;
}
