import { ChangeDetectorRef, EventEmitter, OnInit, ElementRef } from '@angular/core';
import type { QueryList } from '@angular/core';
import { StepContentDirective } from './step-content.directive';
import * as i0 from "@angular/core";
export declare class StepComponent implements OnInit {
    private readonly _cdr;
    private readonly _el;
    label?: string;
    get icon(): string;
    set icon(v: string);
    get completeIcon(): string;
    set completeIcon(v: string);
    get active(): number;
    set active(v: number);
    get step(): number;
    set step(v: number);
    get total(): number;
    set total(v: number);
    activeChange: EventEmitter<number>;
    readonly content?: QueryList<StepContentDirective>;
    get height(): number;
    get width(): number;
    get stepHeight(): number;
    get stepWidth(): number;
    private _active?;
    private _step?;
    private _total?;
    private _icon?;
    private _completeIcon?;
    constructor(_cdr: ChangeDetectorRef, _el: ElementRef<HTMLElement>);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepComponent, "ngx-step", ["ngxStep"], { "label": { "alias": "label"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "completeIcon": { "alias": "completeIcon"; "required": false; }; "active": { "alias": "active"; "required": false; }; "step": { "alias": "step"; "required": false; }; "total": { "alias": "total"; "required": false; }; }, { "activeChange": "activeChange"; }, ["content"], never, false, never>;
}
