import { TemplateRef, ElementRef, Renderer2, OnInit, ChangeDetectorRef, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { IfTabActiveDirective } from './if-tab-active.directive';
import * as i0 from "@angular/core";
/**
 * TODO: Remove hidden when https://github.com/angular/angular/issues/18310 is resolved
 */
export declare class TabComponent implements OnInit, OnChanges {
    private cdr;
    private renderer;
    private elRef;
    id: string;
    tabId: string;
    role: string;
    title: string;
    label: string | TemplateRef<any>;
    active: boolean;
    disabled: boolean;
    inputChanges: EventEmitter<SimpleChanges>;
    labelStringTemplate: any;
    template: IfTabActiveDirective;
    labelTemplate: TemplateRef<any>;
    constructor(cdr: ChangeDetectorRef, renderer: Renderer2, elRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    detectChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "ngx-tab", never, { "title": { "alias": "title"; "required": false; }; "label": { "alias": "label"; "required": false; }; "active": { "alias": "active"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "inputChanges": "inputChanges"; }, ["template"], ["*"], false, never>;
}
