import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ToggleComponent implements ControlValueAccessor {
    private readonly cdr;
    onClick(ev: Event): void;
    id: string;
    name: string;
    label: string;
    get disabled(): boolean;
    set disabled(disabled: boolean);
    get required(): boolean;
    set required(required: boolean);
    get showIcons(): boolean;
    set showIcons(showIcons: boolean);
    get tabIndex(): number;
    set tabIndex(tabIndex: number);
    change: EventEmitter<Event>;
    get value(): boolean;
    set value(value: boolean);
    get getHostCssClasses(): string;
    get getDisabled(): string;
    private _value;
    private _disabled;
    private _required;
    private _showIcons;
    private _tabIndex;
    constructor(cdr: ChangeDetectorRef);
    toggle(): void;
    onBlur(): void;
    writeValue(val: unknown): void;
    registerOnChange(fn: (_: unknown) => void): void;
    registerOnTouched(fn: () => void): void;
    private onTouchedCallback;
    private onChangeCallback;
    private emitChange;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToggleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToggleComponent, "ngx-toggle", ["ngxToggle"], { "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "required": { "alias": "required"; "required": false; }; "showIcons": { "alias": "showIcons"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, { "change": "change"; }, never, ["*"], false, never>;
}
