import { EventEmitter, OnInit, OnDestroy, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ResizeObserverDirective implements OnInit, OnDestroy {
    private readonly _el;
    resize: EventEmitter<Partial<DOMRectReadOnly>>;
    private _observer;
    private _timer;
    constructor(_el: ElementRef<HTMLElement>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onResize(e: Partial<DOMRectReadOnly>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeObserverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizeObserverDirective, "[resizeObserver]", ["resizeObserver"], {}, { "resize": "resizeObserver"; }, never, never, false, never>;
}
