/**
 * Debounce a function
 *
 * @param func      function to execute
 * @param wait      wait duration
 * @param immediate wait or immediate execute
 */
export declare const debounce: (func: () => void, wait: number, immediate?: boolean) => (() => any);
